{***************************************************************
 *
 * Unit Name: PrmptDlgMain
 * Purpose  : Demonstration of TPrmptDlg usage
 * Author   : Kevin Browne, Dublin, 11/08/2000,
 *            mailto: kbrowne@esatclear.ie
 * History  : Dr. Neil Griffiths (mailto: neilsg@yahoo.com),
 *            the component author, bugged me until I wrote this
 *
 ****************************************************************}


unit PrmptDlgMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Registry, PrmptDlg;

type
  TForm1 = class(TForm)
    TypeCombo: TComboBox;
    ResetBtn: TButton;
    TestBtn: TButton;
    PrmptDlg1: TPrmptDlg;
    QuitBtn: TButton;
    CapEdit: TEdit;
    MessEdit: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure QuitBtnClick(Sender: TObject);
    procedure ResetBtnClick(Sender: TObject);
    procedure TestBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.QuitBtnClick(Sender: TObject);
var
  Reg1 : TRegistry;
begin
  Reg1 := nil;
  // Clean up the registry when finished...
  try
    Reg1 := TRegistry.Create;
    Reg1.RootKey := HKEY_CURRENT_USER;
    if Reg1.KeyExists(PrmptDlg1.FRegPath) then
      if not(Reg1.DeleteKey(PrmptDlg1.FRegPath)) then
        MessageDlg('Failed to delete Registry Key. Use RegEdit to delete '
                   + PrmptDlg1.FRegPath + '.'  , mtWarning, [mbOK], 0);
  finally
     Reg1.Free;
  end;

  Release;
  Close;
end;

procedure TForm1.ResetBtnClick(Sender: TObject);
begin
  PrmptDlg1.UpdateReg(TRUE);
end;

procedure TForm1.TestBtnClick(Sender: TObject);
var
  inLoop : Integer;
begin
  if CapEdit.Text <> '' then
    PrmptDlg1.Caption := CapEdit.Text
  else
    PrmptDlg1.Caption := 'Default Caption';

  if MessEdit.Text <> '' then
    PrmptDlg1.UserMessage := MessEdit.Text
  else
    PrmptDlg1.UserMessage := 'Default Message';

  if TypeCombo.Text <> '' then
  begin
    if TypeCombo.Text = 'Information' then
      PrmptDlg1.ImageType := itInfo
    else if TypeCombo.Text = 'Error' then
      PrmptDlg1.ImageType := itError
    else if TypeCombo.Text = 'None' then
      PrmptDlg1.ImageType := itNone
    else if TypeCombo.Text = 'Warning' then
      PrmptDlg1.ImageType := itWarning;
  end
  else
    PrmptDlg1.ImageType := itNone;

  for inLoop := 1 to 5 do
  begin
    PrmptDlg1.UserMessage := PrmptDlg1.UserMessage + ' [Prompt '
                             + IntToStr(inLoop) + ' of 5]';


    case PrmptDlg1.Execute of
      mrOK : ShowMessage('Modal Result was mrOK');

      mrCancel: ShowMessage('Modal Result was mrCancel');
    end;
    
    PrmptDlg1.UserMessage := Copy(PrmptDlg1.UserMessage, 1,
                                  Length(PrmptDlg1.UserMessage) - 16);
  end;

end;

end.
